<?php
// DO NOT EDIT THIS FILE IN PROJECT.
// EDIT config/project to replace parameter here.
return [

    /*
    |--------------------------------------------------------------------------
    | Secret word to user group path
    |--------------------------------------------------------------------------
    |
    | This value is the secret word to access your user group.
    | By default: By default in WebCradle, admin have a secret word of admin.
    | For example, when access admin, the URL require to have 'admin' after 
    | Domain address. www.example.com/admin/...
    | 
    | Default: 
    |   'doorbell' => [
    |       'admin' => 'admin',
    |   ],
    */
    'doorbell' => [
        'admin' => 'admin',
     ],

    'landing_page' => 'cradle.home',
    'home_page' => 'cradle.home',
    /*
    |--------------------------------------------------------------------------
    | Auth Exception Redirect
    |--------------------------------------------------------------------------
    |
    | This is the route name for the redirect path when user/admin are not logged in or
    | after logout.
    */  
    'redirect' => [
        'user_exception'    =>  'cradle.home',
        'admin_exception'   =>  'cradle.admin.login',
        'user_after_login'  =>  '', // empty means intended (used for Modal)
        'user_after_logout' =>  'cradle.home',
        'user_after_register' => '',
        'admin_after_login' => 'cradle.admin.dashboard',
        'admin_after_logout' => 'cradle.admin.login',
    ],

    /*
    |--------------------------------------------------------------------------
    | Add-on: Socialite (for User usergroup only)
    |--------------------------------------------------------------------------
    |
    | This is the add-on settings for User Socialite Login. 
    | To use Socialite add-on, 
    | 1. Require Socialite using composer: @cmd, run 'composer require laravel/socialite'
    | 2. @cradleConfig here, Set 'socialite' to enable
    | 3. Get and set facebook/google OAuth client_id/secret
    | 4. @.env file, Set up APP_URL to your domain address.
    | 5. @cmd, run 'php artisan cradle:add-socialite'
    | 6. @cmd, run migration
    | 7. @cradleConfig here, Set 'socialite_fb' to enable-> to show fb login on login and register page/ modal.
    | 8. @cradleConfig here, Set 'socialite_google' to enable-> to show google login on login and register page/ modal.
    |
    | 'socialite' => 'enable' to create Socialite Route.
    | 'socialite_fb' => 'enable' to print fb login button on login and register form.
    | 'socialite_google' => 'enable' to print google login button on login and register form.
    */  
    'socialite' => '',                   // Must enable 1st to work
    'socialite_fb' => '',                // enable to Enable
    'socialite_google' => '',            // enable to Enable
    
    /*
    |--------------------------------------------------------------------------
    | Add-on: User Auth Login Using Page (userAuthPage)
    |--------------------------------------------------------------------------
    |
    | By default, User login and register using modal files.
    | TO use Auth Page Add-on:
    | 1. @cmd, 'php artisan cradle:user-add-auth-page', auth page files will be copy to your user/units/auth folder. 
    | 2. @cradleConfig here, Set 'user_auth_page' to enable to create route for Auth Page Login & Register.
    | 3. Change all the Login link to Login Page: route('cradle.login')
    | 4. Change all the Register link to Login Page: route('cradle.register')
    |
    | 'user_auth_modal' => 'enable' to include Login & Register Modal in User Base Layout.
    | 'user_auth_page' => 'enable' to create Login & Register Page route.
    */  
    'user_auth_modal' => 'enable',
    'user_auth_page'  => '',

    // User profile
    'avatar' => 'enable',


    'controller' => [
        'usersetting' => 'Cradle\CradleUser\controllers\user\setting\UserSettingController',
        
    ],

    'loadview' => [
        'custom_general_view' => false,
        'custom_general_view_path' => '',
        'custom_user_view' => false,
        'custom_user_view_path' => '',
        'custom_admin_view' => false,
        'custom_admin_view_path' => '',
    ],


];
